The Kindle hates Ubuntu

Monday, November 19, 2007

USB support only works for Windows 2000 or higher or OSX 10.2+.  What a load of crap.

Posted in: complaint , Gadgets